%define pkg_name        Class-Gomor
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 1.n0i.2

Summary:       Another class and object builder, base class only
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GO/GOMOR/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module is yet another class builder. This one adds parameter checking
in new constructor, that is to check for attributes existence, and
defined-ness.
In order to validate parameters, the module needs to find attributes, and
that is the reason for declaring attributes in global variables named @AS,
@AA, @AO. They respectively state for Attributes Scalar, Attributes Array and
Attributes Other. The last one is used to avoid autocreation of accessors,
that is to let you declare your own ones.
Attribute validation is performed by looking at classes hierarchy, by
following @ISA tree inheritance.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ LICENSE LICENSE.Artistic README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.01

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
